This Week in Crystal City: Memorial Day (sent date:5/24/2019)   |   view all news »
BID Office is closed on Monday, May 27


Is this email not displaying correctly? View in browser.

Crystal City
 
 

BID Office Closed for Memorial Day

Thank you to all the men and women who serve in the armed forces. 

 

 

Armed Forces Cycling Classic This Weekend

2121 CRYSTAL DRIVE
JUNE 1

The Armed Forces Cycling Classic is the region’s premier cycling event, open to cycling enthusiasts of all abilities. Cyclists with USA Cycling licenses are invited to race in Arlington on both days. Racing will feature the nations top Pro men and women. 

Road closure details can be found here.

Learn More »

 

 

Absentee Voting is Open

On June 11, 2019, there will be Democratic Primaries for Senate of Virginia, 31st District; Virginia House of Delegates, 49th District; and Commonwealth's Attorney.

Absentee voting is open through June 8th. 

Learn More »

 

 

Crystal City Crafts Market

Thursdays, May & June

PLAZA AT 220 20TH ST.
THURSDAYS, MAY & JUNE
11:00 A.M. - 2:00 P.M.

Featuring a diverse mix of arts, crafts, handmade jewelry, accessories, bath and beauty products and other local, handcrafted products as well as live-music and select food products, the Crystal City Crafts Market provides a new lunchtime attraction for area workers, hotel guests, and residents.

Learn More »

 

Quick Links
Recent News

Arlington Chamber Celebrates Best Business Winners

Inside Nova

The Arlington Chamber of Commerce recently celebrated the 33rd Annual Arlington Best Business Awards.

Read More »


 

Amazon Announces Plans For Arlington HQ2 Campus

WAMU

This week, Amazon submitted a proposal for its new Arlington campus, which will contain two 22-story towers, retail space, and a new public park and recreation area.

Read More »

 


 

 

Construction Updates

CRYSTAL CITY BID

A number of public infrastructure and private redevelopment projects are currently underway with more coming soon. Stay up to date on our page. 

Read More »


 

Arlington looks to add more ‘granny flats’ to boost housing

Washington Business Journal

The County Board voted unanimously Saturday to change the regulations covering detached accessory dwelling.

Read More »


 

Metro Platform Reconstruction Begins This Weekend

Platform Improvement Project

Starting Saturday, May 25, the six Blue and Yellow line stations south of Ronald Reagan Washington National Airport will be closed for full platform reconstruction and major station improvements. To expedite construction and minimize customer inconvenience, all Yellow and Blue Line stations south of National Airport will remain closed through September 8, 2019.


 

Upcoming Community Events

 

Richard III

May 15 - June 16 | Synetic Theater | 1800 South Bell St.

Stand Up Paddle Board Yoga

Thursdays, May - June | Mind Your Body Oasis | 1750 Crystal Drive

Pentagon Happy Hour

Third Thursdays, 5:00 p.m. - 8:00 p.m. | Freddie's Beach Bar | 555 23rd St S

Booz Allen Hamilton Toastmasters Potomac Club

Every Second and Fourth Friday, 11:45 am - 1:00 p.m. | 15th & Crystal Dr

Event Calendar | Submit Event

 

 


If you no longer wish to receive these emails, you may Unsubscribe.
Crystal City BID • 2001 Jefferson Davis Hwy, Suite 505 • Arlington, VA 22202